﻿.addPreReqBtn {
    width: 22px;
    height: 22px;
    padding: 0px !important;
    background-image: url('icons/Add.gif') !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    border-radius: 4px;
}

.controlTitle {
    height: 26px;
}

    .controlTitle table {
        width: 100%;
        border: 0px;
    }

    .controlTitle th, th.controlTitle{
        text-align: left;
        color: #2779aa;
    }

    th.controlTitle {
        font-weight: bold;
        padding:1px;
    }

    .controlTitle td {
        text-align: right;
    }

.accordion h3 {
    margin-top: 10px;
    margin-bottom: 2px;
    height: 20px;
    cursor: pointer;
}

.accordion > div {
    border-top: 0px;
}

.categoryDropDown > div {
    min-height: 150px !important;
}

.accordion h3 .imgCollapse, .accordion h3 .imgExpand {
    margin: 1px;
    float: left;
    width: 16px;
    height: 16px;
}

.accordion h3 .imgCollapse {
    background-image: url('icons/track/collapse.png');
}

.accordion h3 .imgExpand {
    background-image: url('icons/track/expand.png');
}

.transferBtn {
    width: 22px;
    height: 22px;
    padding: 0px !important;
    background-image: url('icons/track/transfer.png') !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    border-radius: 4px;
}

.domainIncludeSD {
    font-size: 8pt;
    width: 1%;
}

#orgCompound {
    background-color: #fff;
    border: 1px solid lightgray;
    border-radius: 4px;
    width: 100%;
    overflow: auto;
    display: flex;
}

    #orgCompound .tableIcons {
        position: relative;
        margin-left: -14px;
    }

        #orgCompound .tableIcons .ui-button-text {
            white-space: nowrap;
        }

        #orgCompound .tableIcons > table {
            position: absolute;
            z-index: 2;
        }

    #orgCompound .baseName {
        border: 1px solid lightgray;
        padding: 4px;
    }

    #orgCompound .elementName, .elementBoxTooltip .elementName {
        max-width: 200px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

.elementBoxTooltip .elementName {
    padding: 4px 8px;
}

#orgCompound .elDet {
    color: gray;
}

#orgCompound .elementIcon {
    max-height: 64px;
    max-width: 64px;
}

#orgCompound.editingTrack .elementName {
    margin: 8px 12px;
}

#orgCompound .elements {
    min-width: 150px;
    vertical-align: top;
    transition: background-color .2s;
}

#orgCompound .elements, .userContainer {
    max-width: 400px;
    min-height: 32px;
    white-space: normal;
}

#orgCompound .struct > .structBox > .deleteNode, #orgCompound .struct > .structBox > .moveNode, .element .actionElement, #orgCompound .tableIcons {
    opacity: 0;
    transition: opacity .2s;
}

#orgCompound .struct:hover > .structBox > .deleteNode, #orgCompound .struct:hover > .structBox > .moveNode, .element:hover .actionElement, #orgCompound .struct:hover > .structBox > .tableIcons {
    opacity: 1;
}

#orgCompound .elementWithTitle {
    border: 1px solid lightgray;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}

#orgCompound .elementWithoutTitle {
    border: 1px solid lightgray;
    border-top: 0;
}

#orgCompound .addElementButton .ui-button-text, #orgCompound .addNodeButton .ui-button-text, #orgCompound .addInternalSubTrackButton .ui-button-text, #orgCompound .addAttachmentButton .ui-button-text {
    padding: 2px;
}

#orgCompound .structBox .expandCollapseStructs {
    position: absolute;
    left: 50%;
    margin-left: -12px;
    margin-top: -4px;
    width: 25px;
    height: 12px;
    background-repeat: no-repeat;
    background-position: center center;
    cursor: pointer;
    border: 1px solid transparent;
    z-index: 5;
}

    #orgCompound .structBox .expandCollapseStructs:hover {
        border-color: gray;
        border-radius: 2px;
        background-color: white;
    }

    #orgCompound .structBox .expandCollapseStructs.expanded {
        background-image: url('icons/Track/Collapse-Arrow-24.png');
    }

    #orgCompound .structBox .expandCollapseStructs.collapsed {
        background-image: url('icons/Track/Expand-Arrow-24.png');
    }

#orgCompound .subTrackViewModelChange {
    position: absolute;
    right: 20px;
    top: -7px;
    width: 16px;
    height: 16px;
    background-repeat: no-repeat;
    background-position: center center;
    background-image: url('icons/Track/Repeat-16.png');
    cursor: pointer;
    border: 1px solid transparent;
    z-index: 1;
}

    #orgCompound .subTrackViewModelChange:hover {
        border-color: gray;
        border-radius: 2px;
        background-color: white;
    }

#orgCompound .internalSubTrack > ul {
    padding-bottom: 80px;
}

#orgCompound .internalSubTrack > .elementName, #orgCompound .subTrackExpandedView > .subTrackHeader .elementName {
    text-align: left;
}

.selectElement {
    height: 20px;
}

.selectElementImg {
    background-image: url('icons/goals/direct.png') !important;
    background-position: center center;
}

.alternateRow {
    background-color: #F5F5FF;
}

.windowButton {
    line-height: 0.5rem;
}

    .windowButton span {
        padding: 0px !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }

.trackDetailUpdate {
    position: fixed;
    left: 0px;
    bottom: 0px;
    border: 1px solid gray;
    border-radius: 4px;
    background-color: white;
    padding: 4px 8px;
    z-index: 999;
}

#orgCompound.editingTrack .element .elementName {
    cursor: move;
}

.element, .user {
    margin: 8px;
    font-weight: normal;
    z-index: 3;
    vertical-align: inherit;
    display: inline-block;
}

.element {
    position: relative;
}

    .element td, .user td {
        vertical-align: top;
    }

.deleteNode {
    position: absolute;
    top: -4px;
    right: 16px;
}

.moveNode {
    position: absolute;
    top: -4px;
    left: 16px;
    background-image: url('icons/track/arrow-move.png');
}

.element:first-child > .actionElement.movePrev, .element:last-child > .actionElement.moveNext {
    display: none;
}

.actionElement {
    position: absolute;
    top: -8px;
}

    .actionElement.deleteElement {
        right: -8px;
    }

    .actionElement.movePrev {
        right: 12px;
    }

    .actionElement.moveNext {
        right: 30px;
    }

.actionElement, .deleteNode, .moveNode {
    width: 16px;
    height: 16px;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: center center;
    background-color: white;
    border-radius: 50%;
    border: 1px solid lightgray;
}

    .actionElement:hover {
        background-color: lightgrey;
    }

.deleteElement, .deleteNode {
    background-image: url('icons/goals/close.png');
}

.actionElement.movePrev {
    background-image: url('icons/BoxMinimized.png');
}

.actionElement.moveNext {
    background-image: url('icons/BoxMaximized.png');
}

.ui-icon-info {
    background-image: url('icons/track/information.png') !important;
    width: 32px;
    height: 32px;
    background-position: left top;
}

.boxInsideTrack, .fixedBoxInsideTrack {
    position: absolute;
    z-index: 1;
    overflow: hidden;
    border: 0px solid gray;
    background-color: White;
    border-radius: 4px;
    transition: max-width .8s,max-height .8s, border-width .8s;
    max-width: 700px;
    max-height: 500px;
}

.fixedBoxInsideTrack {
    border-width: 1px;
}

.boxInsideTrack {
    max-width: 24px;
    max-height: 24px;
    white-space: nowrap;
    z-index: 11;
    margin-top: 2px;
    margin-left: 2px;
}

    .boxInsideTrack:hover {
        max-width: 700px;
        max-height: 500px;
        border-width: 1px;
    }

.trackInfoForApproval .critMin td {
    vertical-align: middle;
}

.boxInsideTrack .ball, .fixedBoxInsideTrack .ball, .ballLegend {
    width: 10px;
    height: 10px;
    border-radius: 7px;
    border: 1px solid gray;
}

.tblProfitCredits td {
    text-align: center;
    vertical-align: middle;
}

.critMin .critMinCred, .critMin .critMinProfit, .critMin .critAllMand, .critMin .critReachedBranch {
    width: 20px;
    height: 20px;
    background-position: center center;
    background-repeat: no-repeat;
    display: block;
}

.critMin .success {
    background-image: url('Icons/Success.gif');
}

.critMin .fail {
    background-image: url('Icons/wa_cancel.gif');
}

.UserEl {
    background-color: #E3F1FA;
}

.CourseEl {
    background-color: #FAFAFF;
    border: 1px solid #1E90FF !important;
}

.LibEl {
    background-color: #FFFAFC;
    border: 1px solid #AB82FF !important;
}

.TrackEl {
    background-color: #FFFCF5;
    border: 1px solid orange !important;
}

.AssessmentEl {
    background-color: #8686FD;
    border: 1px solid blue !important;
}

.internalSubTrackEl {
    background-color: #8686FD;
    border: 1px solid blue !important;
}

#orgCompound:not(.editingTrack) .internalSubTrackEl:first-child:last-child {
    border-width: 0px !important;
}

.internalSubTrackEl > ul {
    background-color: white;
}

#dvBtns {
    border: 1px solid gray;
    background-color: #fff;
    text-align: left;
    z-index: 99999;
    padding: 6px;
    top: 70px;
    border-radius: 2px;
    height: 33px;
    right: 10px;
    padding-right: calc(6px - .1em);
}

.openIcon {
    background-image: url('icons/track/search.png') !important;
}

.saveIcon {
    background-image: url('icons/track/save.png') !important;
}

.deleteIcon {
    background-image: url('icons/track/delete.gif') !important;
}

.editIcon {
    background-image: url('icons/track/edit.png') !important;
}

.blankIcon {
    background-image: url('icons/track/clear.png') !important;
}

.enrollmentsIcon {
    background-image: url('icons/track/enrollments.png') !important;
}

.callCategoryEdit {
    background-image: url('icons/track/edit.png') !important;
}

#btnNewTest {
    padding: 8px;
    line-height: 4px;
}

.uploadImage {
    background-image: url('icons/track/image.png') !important;
}

.structDisabled .structBox .element {
    opacity: 0.5;
}

.structDisabled .structBox .baseName, .structDisabled .structBox .elements {
    background-color: lightgray !important;
}

#toolbar div {
    background-repeat: no-repeat;
    background-position: center center;
}

#toolbar .parent {
    background-image: url(icons/track/parent.png) !important;
}

#toolbar .child {
    background-image: url(icons/track/child.png) !important;
}

#toolbar .rename {
    background-image: url(icons/track/rename.gif) !important;
}

#toolbar .delete {
    background-image: url(icons/track/delete.gif) !important;
}

#toolbar .culture {
    float: right;
}

#toolbar {
    padding: 1px;
    padding-left: 10px;
    margin-top: 2px;
}

.tvPanel {
    background: white;
    padding: 5px 0px 0px 4px;
    height: 325px;
}

    .tvPanel .culture-not-found {
        color: orangered;
    }

#btnCallCategory span {
    padding: 5px;
}

/*------------------------------------------------------------------------------------------*/

.ui-icon-libdoc-enrolled, .ui-icon-libdoc-approved, .ui-icon-enroll-enrolled, .ui-icon-enroll-approved, .ui-icon-enroll-reproved,
.ui-icon-enroll-waiting-approval, .ui-icon-enroll-waiting-createnew, .ui-icon-enroll-waiting-reopen, .ui-icon-enroll-canceled, .ui-icon-enroll-expired {
    width: 24px;
    height: 24px;
    background-position: left top;
    background-repeat: no-repeat;
}

.allTracks .ui-icon-libdoc-enrolled, .allTracks .ui-icon-libdoc-approved,
.allTracks .ui-icon-enroll-enrolled, .allTracks .ui-icon-enroll-approved, .allTracks .ui-icon-enroll-reproved, .allTracks .ui-icon-enroll-waiting-approval,
.allTracks .ui-icon-enroll-waiting-createnew, .allTracks .ui-icon-enroll-waiting-reopen, .allTracks .ui-icon-enroll-canceled, .allTracks .ui-icon-enroll-expired {
    width: 16px;
    height: 16px;
    background-size: cover;
}

.ui-icon-libdoc-enrolled, .ui-icon-enroll-enrolled {
    background-image: url('icons/track/enroll-enrolled.png') !important;
}

.ui-icon-libdoc-approved, .ui-icon-enroll-approved {
    background-image: url('icons/track/enroll-approved.png') !important;
}

.ui-icon-enroll-reproved {
    background-image: url('icons/track/enroll-reproved.png') !important;
}

.ui-icon-enroll-waiting-approval {
    background-image: url('icons/track/enroll-waiting-approval.png') !important;
}

.ui-icon-enroll-waiting-createnew {
    background-image: url('icons/track/enroll-waiting-createnew.png') !important;
}

.ui-icon-enroll-waiting-reopen {
    background-image: url('icons/track/enroll-waiting-reopen.png') !important;
}

.ui-icon-enroll-canceled {
    background-image: url('icons/track/enroll-canceled.png') !important;
}

.ui-icon-enroll-expired {
    background-image: url('icons/track/enroll-expired.png') !important;
}

.btnCertify {
    cursor: pointer;
}

.ui-icon-certificate {
    width: 24px;
    height: 24px;
    background-position: left top;
    background-repeat: no-repeat;
    background-image: url('icons/track/certificate.png') !important;
}

.struct.structEnabled .element {
    transition: box-shadow .2s;
}

.struct.structEnabled > .structBox > .elements > .element:hover {
    /* @rmwc/elevation - 4dp */
    box-shadow: 0 2px 4px -1px rgba(0,0,0,.2), 0 4px 5px 0 rgba(0,0,0,.14), 0 1px 10px 0 rgba(0,0,0,.12);
}

.elementBoxTooltip {
    position: absolute;
    border: 1px solid gray;
    background-color: white;
    border-radius: 4px;
    cursor: auto !important;
    z-index: 5;
    overflow: hidden;
    margin-left: -60px;
    padding: 4px;
}

.elementBoxTable .elementImage {
    border: 1px solid lightgray;
    border-radius: 12px;
    background-color: white;
    background-position: center center;
    background-size: 16px;
}

.elementBoxTable.acceptLink {
    display: flex;
}

    .elementBoxTable.acceptLink .dvElementData {
        border-left: 1px solid lightgray;
        position: relative;
        flex-grow: 1;
    }

    .elementBoxTable.acceptLink > div {
        padding: 2px;
    }

.elementBoxTable > .elementResponsive {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}

    .elementBoxTable > .elementResponsive > div:not(:last-child) {
        margin-right: 1rem;
    }

    .elementBoxTable > .elementResponsive .elementInBoxIcon {
        display: flex;
        align-items: center;
        margin-right: 1rem;
    }

    .elementBoxTable > .elementResponsive .elementInBoxInfo {
        flex-grow: 1;
        text-align: left;
    }

    .elementBoxTable > .elementResponsive .elementInBoxButton {
        display: flex;
        align-items: flex-end;
    }

.elProgressBar, .elProfitBar {
    position: relative;
    height: 15px;
}

    .elProgressBar .elProgressBarLbl, .elProfitBar .elProfitBarLbl {
        font-size: 10px;
        left: 0px;
        line-height: 1rem;
        position: absolute;
        text-align: center;
        top: 0px;
        width: 100%;
    }

.trackItemCateg {
    padding: 0px;
    margin: 2px 0px;
    border: 1px solid #CCC;
}

.trackSubContent {
    margin: 4px;
}

.trackHeaderCategInfo, .allTracks .categInfo {
    margin: 0px;
    cursor: pointer;
}

    .trackHeaderCategInfo table {
        height: 25px;
    }

.trackHeaderTrackInfo {
    margin: 3px;
}

.trackInfoSubCat {
    padding-left: 8px;
    padding-right: 8px;
}

.trackInfoTrack {
    padding: 1px;
}

.allTracks {
    margin: 0.5rem;
    background-position: center center;
}

    .allTracks > div,
    .allTracks > div .subCategory > div {
        margin-bottom: 0.5rem;
    }

        .allTracks > div .tracks > div:first-child .trackInfo {
            border-top: none;
        }

    .allTracks .trackInfo {
        border-top: 1px solid lightgray;
        background-repeat: no-repeat;
        transition: border-left .1s;
        margin-left: -0.5rem;
        margin-right: -0.5rem;
        padding: 0.5rem;
    }

    .allTracks .tracks div:nth-child(even) .trackInfo.expandedTrack {
        border-left: 2px solid blue;
    }

    .allTracks .tracks div:nth-child(odd) .trackInfo.expandedTrack {
        border-left: 2px solid #2779aa;
    }

    .allTracks .trackInfo.expandedTrack .trackContent {
        padding-left: 3px;
        border-top: 1px solid lightgray;
        padding-top: 1px;
    }

    .allTracks .trackInfo .imgTrack img {
        max-width: 64px;
        max-height: 64px;
        height: fit-content;
        width: fit-content;
        margin-right: 1rem;
    }

    .allTracks .trackInfo .txtlink {
        color: black;
    }

    .allTracks .trackInfo .lnkOpenInWindow {
        opacity: 0;
        margin-left: 10px;
        background-image: url('Icons/pdi/select.png');
        width: 15px;
        height: 15px;
        padding-left: 14px;
        padding-top: 1px;
        transition: opacity .2s;
        background-repeat: no-repeat;
        background-position: center center;
    }

    .allTracks .trackInfo:hover .lnkOpenInWindow {
        opacity: 1;
    }

    .allTracks .trackInfo iframe {
        border: 0px;
    }

    .allTracks .progressbar .ui-widget-header {
        background: #dfe9f5;
    }

    .allTracks .progressbar {
        position: relative;
        height: 18px;
        padding: 0px;
        margin-bottom: 4px;
        margin-top: 4px;
    }

        .allTracks .progressbar p {
            font-size: 10px;
            position: absolute;
            width: 100%;
            padding: 0px;
            margin: 0px;
            text-align: center;
            white-space: nowrap;
            line-height: 18px;
        }

    .allTracks .categInfo {
        padding: 0.5rem 1rem;
    }

        .allTracks .categInfo .txt {
            font-weight: normal;
        }

        .allTracks .categInfo.expanded .txt {
            color: black;
        }

    .allTracks .subContent {
        padding: 0.5rem;
        padding-bottom: 0;
        border: 1px solid lightgray;
        border-top: 0px;
        border-bottom-left-radius: 4px;
        border-bottom-right-radius: 4px;
    }

    .allTracks .categInfo .img, .trackHeaderCategInfo .imgCollapse, .trackHeaderCategInfo .imgExpand {
        width: 20px;
        height: 18px;
        margin: 1px;
        background-repeat: no-repeat;
        background-position: center center;
    }

    .allTracks .categInfo.expanded .img {
        background-image: url('icons/minus.png');
    }

    .allTracks .categInfo:not(.expanded) .img {
        background-image: url('icons/plus.png');
    }

    .allTracks .trackInfo .btnTrackInfo {
        position: relative;
        width: 20px;
        height: 20px;
        background-repeat: no-repeat;
        background-position: center center;
        background-image: url('Icons/info.png');
    }

        .allTracks .trackInfo .btnTrackInfo > span {
            position: absolute;
            background-color: white;
            border-radius: 4px;
            z-index: 3;
            right: 24px;
            bottom: 0px;
            max-height: 0px;
            max-width: 0px;
            overflow: hidden;
            border: 1px solid black;
            opacity: 0;
            transition: opacity .5s, max-height .5s, max-width .5s, padding .5s;
        }

        .allTracks .trackInfo .btnTrackInfo:hover > span {
            opacity: 1;
            max-height: 100px;
            max-width: 450px;
            padding: 4px;
        }

    .allTracks .trackInfo .btn {
        width: 16px;
        height: 16px;
        cursor: pointer;
        background-repeat: no-repeat;
    }

    .allTracks .trackInfo .btnApproval {
        background-image: url("icons/Approval.gif");
    }

    .allTracks .trackInfo .btnEnrollUser {
        background-image: url("icons/track/user.png");
    }

    .allTracks .trackInfo .btnEnrollGroupUser {
        background-image: url("icons/track/usergroup.png");
    }

.trackToolbar {
    width: 70px;
    min-width: 70px;
}

    .trackToolbar .btnEnrollUser {
        width: 16px;
        height: 16px;
        background: url("icons/track/user.png") no-repeat;
    }

    .trackToolbar .btnEnrollGroupUser {
        width: 16px;
        height: 16px;
        background: url("icons/track/usergroup.png") no-repeat;
    }

.trackHeaderCategInfo .imgCollapse, .trackHeaderCategInfo .imgExpand {
    float: left;
}

.trackHeaderCategInfo .imgCollapse {
    background-image: url('icons/track/collapse.png');
}

.trackHeaderCategInfo .imgExpand {
    background-image: url('icons/track/expand.png');
}

.trackInfoModel {
    display: none;
}

.trackproperties {
    width: 702px;
}

.trackDetailProperty {
    width: 327px;
    height: 25px;
}

#trackContent .emptyData {
    padding: 15px;
    text-align: center;
    margin: 10px;
}

.content-box {
    border-width: 1px;
    border-style: solid;
    border-color: #DDDDDD #DDDDDD #C4C4C4 #DDDDDD;
    background: #FFFFFF;
    margin-bottom: 30px;
    border-radius: 5px 5px 5px 5px;
}

    .content-box .box-header {
        min-height: 36px;
        background: url('icons/Track/bck_header.png') top center repeat-x;
        position: relative;
        border-radius: 4px 4px 4px 4px;
    }

    .content-box .box-body {
        border: 2px solid #FFFFFF;
        background: #F5F5F5;
        border-radius: 4px 4px 4px 4px;
    }

    .content-box .box-wrap {
        padding: 20px 20px 10px 20px;
    }

.content-box-user {
    border: none;
    background: #FFFFFF;
}

    .content-box-user .box-header {
        min-height: 36px;
        background: url('icons/Track/bck_header.png') top center repeat-x;
        position: relative;
        border-radius: 4px 4px 4px 4px;
    }

    .content-box-user .box-body {
        border: none;
    }

        .content-box-user .box-body p {
            padding: 2px;
        }

    .content-box-user .box-wrap {
        padding: 5px 20px 0px 20px;
    }

/*------------------------------------------------------------------------------------------*/

.box-body p {
    margin: 0px;
    margin: 0px;
    padding-bottom: 20px;
}

.box-header h2 {
    color: #666666;
    font-size: 18px;
    font-weight: normal;
    line-height: 24px;
    margin-bottom: 0px;
    padding: 7px 20px 9px 20px;
    background: url('icons/Track/rule.gif') bottom left repeat-x;
}

.elementInfo {
    position: absolute;
    z-index: 999;
    background-color: White;
    border: 1px solid gray;
    width: 100%;
    border-radius: 3px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.elementLabel {
    position: relative;
    top: -2px;
}

.baseNameEdit {
    color: #000000;
    width: 75%;
}

#spLPSelectedUsers {
    margin-left: 10px;
    cursor: pointer;
    text-decoration: underline;
}

.resultEnrollList #selectable {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 60%;
}

    .resultEnrollList #selectable li {
        margin: 3px;
        padding: 0.4em;
        font-size: 1.4em;
        height: 18px;
    }

.treeNodeInactive {
    color: #777;
}

.nodeUserNoAccess {
    color: #AAA;
}

.ui-progressbar .ui-progressbar-value {
    margin: 0;
}

    .ui-progressbar .ui-progressbar-value p {
        font-size: 0.7em;
        vertical-align: middle;
        text-align: center;
        padding: 7px;
    }

.ui-state-active p {
    color: white;
}

.searchEnrollProgress, .searchEnrollStatus {
    text-align: center;
}

.trashElementImg {
    background-image: url('Icons/Trash.png') !important;
    background-position: center center;
    background-repeat: no-repeat;
}

#dvEnrollments {
    padding: 10px 0 0 5px;
    width: 795px !important;
}

#dvEnrollSummary {
    padding: 10px 0 0 5px;
}

#dvEnrollments .gdEnrollments {
    overflow: hidden;
    overflow-x: hidden;
    height: 710px;
    width: 100%;
}

.enrollPagination {
    display: none;
    position: absolute;
    top: 710px;
    left: 137px;
}

.warningImg {
    background-image: url('Icons/Exclamation_Red.png') !important;
    background-position: center center;
    background-repeat: no-repeat;
    width: 16px;
    height: 16px;
}

.selectAllImg {
    background-image: url('Icons/select.png') !important;
    background-position: center center;
    background-repeat: no-repeat;
}

#tbenrollments .selectAll {
    width: 28px;
    height: 23px;
}

.disableImg {
    -webkit-filter: gray;
    filter: gray; /* IE6-9 */
    -webkit-filter: grayscale(1);
    filter: grayscale(1); /* Firefox 35+ */
}

.dvMainViewport .import {
    width: 34px;
    height: 34px;
    transition: width .3s, height .3s, left .3s;
    position: absolute;
    margin-top: -16px;
    left: -20px;
    z-index: 3;
}

    .dvMainViewport .import:hover {
        width: 64px;
        height: 64px;
        left: -43px;
    }

.dvMainViewport .uploadBtn {
    overflow: hidden;
    position: relative;
    width: 64px;
    height: 64px;
}

    .dvMainViewport .uploadBtn #uploadNewReport {
        height: 64px;
        cursor: pointer;
        position: absolute;
        top: 0px;
        right: 0px;
        font-size: 100px;
        z-index: 2;
        opacity: 0.0; /* Standard: FF gt 1.5, Opera, Safari */
        filter: alpha(opacity=0); /* IE lt 8 */
    }

.dvMainViewport .uploadBtnImg {
    width: 26px;
    height: 26px;
    margin-top: -13px;
    margin-left: -13px;
    background-image: initial;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    transition: width .3s, height .3s, margin-top .3s, margin-left .3s;
}

.dvMainViewport .import:hover .uploadBtnImg {
    width: 64px;
    height: 64px;
    margin-top: -32px;
    margin-left: -32px;
}

.trackZoomObj {
    position: absolute;
    right: 30px;
    width: 100px;
    padding: 2px;
    z-index: 1;
    margin: 2px 0px 0px 2px;
}

#orgCompound.hasAttachments .trackZoomObj {
    right: 20px;
}

#orgCompound.hasAttachments.attachmentsHidden .trackZoomObj {
    right: 65px;
}

.trackDetail .trackDetailHeader {
    margin-top: 0.5rem;
}

    .trackDetail .trackDetailHeader table {
        border-collapse: collapse;
        width: 100%
    }

        .trackDetail .trackDetailHeader table th,
        .trackDetail .trackDetailHeader table td {
            padding: 8px;
        }

#orgCompound.running .subTrackHeader, .trackDetail .trackDetailHeader {
    position: relative;
}

#orgCompound.running .infoSubTrackHeader, .trackDetail .infoTrackHeader {
    display: none;
    position: absolute;
    background-color: white;
    border: 1px solid gray;
    border-radius: 4px;
    z-index: 999;
    right: -10px;
    overflow: hidden;
    transition: box-shadow .5s;
}

.trackDetail .infoTrackHeader {
    right: 10px;
}

#orgCompound.running .subTrackHeader:hover > .infoSubTrackHeader, .trackDetail .trackDetailHeader:hover > .infoTrackHeader {
    box-shadow: 0px 0px 22px -6px rgba(0,0,0,1);
    display: block;
}

#orgCompound.running.trackAsList #org .elementInBoxDetail {
    background-color: white;
}

    #orgCompound.running.trackAsList #org .elementInBoxDetail th, #orgCompound.running.trackAsList #org .elementInBoxDetail td {
        vertical-align: middle;
    }

    #orgCompound.running.trackAsList #org .elementInBoxDetail .elProgressBar, #orgCompound.running.trackAsList #org .elementInBoxDetail .elProfitBar {
        height: 16px;
    }

    #orgCompound.running .infoSubTrackHeader th, .trackDetail .trackDetailHeader th, #orgCompound.running.trackAsList #org .elementInBoxDetail th {
        text-align: right;
    }

    #orgCompound.running .infoSubTrackHeader td, .trackDetail .trackDetailHeader td, #orgCompound.running.trackAsList #org .elementInBoxDetail td {
        text-align: left;
    }

.trackActBar input {
    background-position: 0.5rem 4px;
    display: none;
    width: auto;
    padding-left: 38px;
}

#orgCompound .subTrackElementStatus .elDescStat, .trackDetail #uTrackStatusIcon .uTrackStatus {
    display: none;
    right: 25px;
    border: 1px solid black;
    border-radius: 2px;
    background-color: white;
    padding: 2px;
    top: 5px;
    font-weight: normal;
}

#orgCompound .subTrackElementStatus:hover .elDescStat, .trackDetail #uTrackStatusIcon:hover .uTrackStatus {
    display: block;
}

#dvChangeEnroll .searchResultTitle {
    line-height: 5px;
    height: 15px;
    text-align: left;
    white-space: nowrap;
}

    #dvChangeEnroll .searchResultTitle span {
        vertical-align: middle;
        display: inline-block;
    }

    #dvChangeEnroll .searchResultTitle .enrollTitle {
        padding-bottom: 1px;
        font-weight: normal;
    }

    #dvChangeEnroll .searchResultTitle .enrollElementName {
        max-width: 100%;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow-x: hidden;
        line-height: normal;
        margin-top: 1px;
    }

#orgCompound #org {
    flex-grow: 1;
}

#orgCompound .dvAttachments {
    z-index: 3;
    background-color: white;
    max-height: 70%;
    overflow: auto;
    position: absolute;
    right: 25px;
    padding: 8px;
    top: 45px;
    border-radius: 4px;
}

    #orgCompound .dvAttachments::-webkit-scrollbar {
        width: 10px;
    }

    #orgCompound .dvAttachments::-webkit-scrollbar-thumb {
        border-radius: 4px;
        box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
    }

#orgCompound.editingTrack .dvAttachments {
    width: 250px;
}

#orgCompound.running .dvAttachments {
    display: none;
    width: 320px;
}

#orgCompound.running.hasAttachments .dvAttachments {
    display: block;
}

#orgCompound .dvAttachments .element {
    width: calc(100% - 16px);
}

#orgCompound.editingTrack .dvAttachments .element .elementName {
    max-width: 100%;
}

#orgCompound.editingTrack .dvAttachments .element .elDet {
    display: none !important;
}

#orgCompound .dvAttachmentsIcon {
    display: none;
    position: absolute;
    right: 20px;
    cursor: pointer;
}

    #orgCompound .dvAttachmentsIcon .total {
        position: absolute;
        bottom: 0;
        border: 1px solid red;
        background-color: white;
        color: red;
        right: -5px;
        border-radius: 50%;
        width: 18px;
        height: 18px;
        text-align: center;
        line-height: 15px;
    }

#orgCompound.hasAttachments.attachmentsHidden .dvAttachments {
    display: none;
}

#orgCompound.hasAttachments.attachmentsHidden .dvAttachmentsIcon {
    display: block;
}

#tdSelectedItem {
    width: 300px;
    display: none;
    position: absolute;
    right: 255px;
    top: 50px;
    z-index: 99;
}

#spSelectedItem {
    cursor: move;
    max-width: 300px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    padding: 2px;
    white-space: nowrap;
    border-radius: 2px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

#orgCompound .swappingElement {
    transition: transform ease-in 0.3s;
}
